# Class VerticalAlignAttributes

#### Hierarchy

- XmlAttributeComponent <{
  verticalAlign?: typeof VerticalAlign [keyof typeof VerticalAlign ];
  }>
  - VerticalAlignAttributes

- Defined in file/vertical-align/vertical-align.ts:20

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new VerticalAlignAttributes(root): VerticalAlignAttributes

- #### Parameters

  - ##### root: {
    verticalAlign?: "bottom" | "center" | "top";
    }

    - ##### `Optional` `Readonly` verticalAlign?: "bottom" | "center" | "top"

  #### Returns VerticalAlignAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:12

## Methods

### prepForXml

- prepForXml(_): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:16

Generated using TypeDoc